#### D.8.8.1 bounds

Procedure from library `rootisolation.lib` (see rootisolation_lib).

Usage:
  `bounds(a)`; `a number`;
  `bounds(a, b)`; `a, b number`;

Return:
  interval: if `size(#)==0` it returns the interval `[a, a]`, else the interval `[a,#[1]]`

Example:

    LIB "rootisolation.lib";
    ring R = 0,x,dp;
    interval I = bounds(1);
    I;
    ==> [1, 1]
    interval J = bounds(2/3,3);
    J;
    ==> [2/3, 3]

User manual for Singular version 4.4.1, 2025, generated by texi2html.